package com.fs.watch.mapper;

import com.fs.watch.domain.WatchDeviceWeek;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_device_week(每周健康周报汇总)】的数据库操作Mapper
* @createDate 2025-10-11 13:22:54
* @Entity generator.domain.WatchDeviceWeek
*/
public interface WatchDeviceWeekMapper {

    /**
     * 查询每周健康周报汇总
     *
     * @param id 每周健康周报汇总主键
     * @return 每周健康周报汇总
     */
    WatchDeviceWeek selectWatchDeviceWeekById(Long id);

    /**
     * 查询每周健康周报汇总列表
     *
     * @param watchDeviceWeek 每周健康周报汇总
     * @return 每周健康周报汇总集合
     */
    List<WatchDeviceWeek> selectWatchDeviceWeekList(WatchDeviceWeek watchDeviceWeek);

    /**
     * 新增每周健康周报汇总
     *
     * @param watchDeviceWeek 每周健康周报汇总
     * @return 结果
     */
    int insertWatchDeviceWeek(WatchDeviceWeek watchDeviceWeek);

    /**
     * 修改每周健康周报汇总
     *
     * @param watchDeviceWeek 每周健康周报汇总
     * @return 结果
     */
    int updateWatchDeviceWeek(WatchDeviceWeek watchDeviceWeek);

    /**
     * 删除每周健康周报汇总
     *
     * @param id 每周健康周报汇总主键
     * @return 结果
     */
    int deleteWatchDeviceWeekById(Long id);

    /**
     * 批量删除每周健康周报汇总
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteWatchDeviceWeekByIds(Long[] ids);

    WatchDeviceWeek getByDeviceIdAndTime(@Param("deviceId") String deviceId,@Param("createTime") Date createTime);

    WatchDeviceWeek getByUserIdAndTime(@Param("userId") Long userId,@Param("createTime") Date createTime);
}
